"""
 Princeton University, COS 429, Fall 2020
"""


def find_faces(img, stride, thresh, params, orientations, wrap180):
    """Find faces in an image

    Args:
        img: an image
        stride: how far to move between locations at which the detector is run,
            at the finest (36x36) scale.  This is effectively scaled up for
            larger windows.
        thresh: probability threshold for calling a detection a face
        params: trained face classifier parameters
        orientations: the number of HoG gradient orientations to use
        wrap180: if true, the HoG orientations cover 180 degrees, else 360

    Returns:
        outimg: copy of img with face locations marked
    """
    # Fill in here
    return outimg
